Subject: Re: 2.4.21: bug report for tg3: tx lockup when changing MTU

From: Jeff Garzik <[email-masked]>
Date: Fri, 01 Aug 2003 19:57:46 -0400

Ben Greear wrote:
> I just noticed that if you change the MTU of a tg3 NIC, it will not work
> untill you ifdown/ifup it.  This problem is repeatable on tg3, and does not
> happen with the e1000 driver/cards.
> 
> I am setting the MTU via an ioctl call, not via ifconfig or something like
> that.

Can you provide the ioctl call info, so I can reproduce?

And, are you changing MTU when the interface is up or down?